[Q] problem creating bootmenu - Defy General

Hi guys i have a problem creating the bootmenu
I am following this post but when i'm going to 3rd line:
C:/> adb shell
$ su
# cp -R /sdcard/bootmenu /data/bootmenu
# cd /data/bootmenu
# chmod 755 *
# ./install.sh
# rm -R /data/bootmenu
i get the following message: cd: can't cd to /data/bootmenu
could you tell me please what i'm doing wrong???

Post the output of
# ls -l /data/bootmenu
Maybe it does not exist OR it is a file (it will be a file if /sdcard/bootmenu was one)
But in any case: It's much easier to install 2nd-init directly from the android market: The currently included version 0.45 works good enough to install the CM7 port (afterwards you'll have 0.51 anyway as the port includes it's own version)

pabx said:
Post the output of
# ls -l /data/bootmenu
Maybe it does not exist OR it is a file (it will be a file if /sdcard/bootmenu was one)
But in any case: It's much easier to install 2nd-init directly from the android market: The currently included version 0.45 works good enough to install the CM7 port (afterwards you'll have 0.51 anyway as the port includes it's own version)
Click to expand...
Click to collapse
Ok thanks! I saw today new version of this that include 0.5.1

Related

OPENVPN under android 2.2

HOW TO MAKE A OPENVPN CONNECTION
(you must use latest kernel - since 2010-08-18 it is integrated (tun module must be integrated in kernel mdules)
-> system/lib/modules/tun.ko)
kernel: htc-msm-linux-20100818_135751-package.tar or newer needed (because there the tun module is included)
1.) install of "openvpn" binary.
we do this manually
a) download openvpn.zip and copy the file: "openvpn" to directory "/sdcard/openvpn"
b) then set the execute writes via:
chmod +x /system/bin/openvpn
2.) some special settings - i do it via a start script -> /sdcard/conf/froyo.user.conf
(see there for the custom_shells part ...)
Code:
# custom shell commands, these commands run last
custom_shells{
#openvpn (ifconfig and route is needed)
mkdir /system/xbin/bb
ln -s /bin/busybox /system/xbin/ifconfig
ln -s /bin/busybox /system/xbin/bb/ifconfig
ln -s /system/bin/route /system/xbin/route
ln -s /system/bin/route /system/xbin/bb/route
#modprobe
modprobe tun
}
3.) copy your openvpn config files to directory /sdcard/openvpn
( my config file looks like: (for the client))
Code:
dev tap
dev-node /dev/tun
proto tcp-client
tls-client
#your server ip + port
remote 123.123.123.123 443
tls-auth /sdcard/openvpn/srv3.xxx.com_ta.key 1
ca /sdcard/openvpn/srv3.xxx.com_ca.crt
cert /sdcard/openvpn/srv3.xxx.com_rlt3.crt
key /sdcard/openvpn/srv3.xxx.com_rlt3.key
tun-mtu 1500
tun-mtu-extra 32
mssfix 1450
pull
redirect-gateway
comp-lzo
verb 3
status /sdcard/openvpn/srv3.xxx.com_rlt3_status.log
log-append /sdcard/openvpn/srv3.xxx.com_rlt3.log
only for your info (my server config)
Code:
port 443
dev tap0
proto tcp-server
mode server
tls-server
tls-auth /etc/openvpn/srv3.xxx.com_ta.key 0
ca /etc/openvpn/srv3.xxx.com_ca.crt
cert /etc/openvpn/srv3.xxx.com.crt
key /etc/openvpn/srv3.xxx.com.key
dh /etc/openvpn/srv3.xxx.com_dh1024.pem
crl-verify /etc/openvpn/srv3.xxx.com_crl.pem
client-config-dir client-config
tun-mtu 1500
tun-mtu-extra 32
mssfix 1450
keepalive 10 60
ping-timer-rem
persist-key
persist-tun
push "ping 10"
push "ping-restart 60"
push "ping-timer-rem"
mute 50
comp-lzo
status-version 2
status /var/log/openvpn/srv3.xxx.com_openvpn-status.log
log /var/log/openvpn/srv3.xxx.com_openvpn.log
verb 3
ifconfig 192.168.23.1 255.255.255.0
ifconfig-pool 192.168.23.2 192.168.23.9
push "route 192.168.23.0 255.255.255.0"
push "dhcp-option DNS 192.168.23.1"
push "dhcp-option DOMAIN vpn.xxx.com"
#Turn this on, if you want that all traffic goes over VPN
#push "route-gateway 192.168.23.1"
#push "redirect-gateway"
client-to-client
#using multiple cn's (no limited to single access via one cert files)
duplicate-cn
4.) install of "openvpn settings" from market place
then start app: "openvpn settings"
then configure there:
-> Load tun kernel adapter -> OFF
-> TUN modules settings: (not needed)
-> load module using -> modprobe (not needed)
-> path to tun module -> tun (not needed)
-> Path to configuration -> /sdcard/openvpn
-> Path to openvpn binary -> /sdcard/openvpn/openvpn
5.) Then you should see your config file and you can click it to start.
That's it
EDIT on 23.08.2010 + 30.08.2010
good article!
pride2 said:
good article!
Click to expand...
Click to collapse
maybe it should not iunder HTC HD, but anyhow ... if someone need it, he will find it -> search function is your friend
pride2 said:
good article!
Click to expand...
Click to collapse
Yeah it is a quite good article...
But there is one thing I don't understand... Or two...
Firstly... Why we have to link "route" and "ifconfig" twice?
Secondly... Why we have to link "/system/xbin/route" to "/system/xbin/route"?
In my opinion this will cause something like a loop which makes the command not executable... Could that be right?
Many regards
Crusoe86 said:
Yeah it is a quite good article...
But there is one thing I don't understand... Or two...
Firstly... Why we have to link "route" and "ifconfig" twice?
Secondly... Why we have to link "/system/xbin/route" to "/system/xbin/route"?
In my opinion this will cause something like a loop which makes the command not executable... Could that be right?
Many regards
Click to expand...
Click to collapse
the route is used by hardcoded path "/system/xbin/bb" from static "openvpn"
so, i was not sure if it is system/xbin or /system/xbin/bb, so i prefer to make both lnk's.
but addtional - i madea mistake, it is changed on first posting.
the mistakes are:
1.) openvpn-installer doesn't install conrrectly -> so, i did it manually
now.work
2.) ln was wrong: now the correct lnk's are:
ln -s /bin/busybox /system/xbin/ifconfig
ln -s /bin/busybox /system/xbin/bb/ifconfig
ln -s /system/bin/route /system/xbin/route
ln -s /system/bin/route /system/xbin/bb/route
cu camel
I have the leaked 2.2 stock Froyo on my Incredible.
I get this after it authenticates:
FATAL: Cannot allocate TUN/TAP dev dynamically
Any ideas? I'm guessing it doesn't have the tun driver.
PokerMunkee said:
I have the leaked 2.2 stock Froyo on my Incredible.
I get this after it authenticates:
FATAL: Cannot allocate TUN/TAP dev dynamically
Any ideas? I'm guessing it doesn't have the tun driver.
Click to expand...
Click to collapse
EDIT:
please check my first posting (updated ...)
also as i can see - often the problem is to install the openvpn as executable, and also to "modprobe tun".
therefoore you can also add to your /sdcard/conf/froyo.user.conf like me:
(see there for the custom_shells part ...)
# custom shell commands, these commands run last
custom_shells{
#openvpn (ifconfig and route is needed)
mkdir /system/xbin/bb
ln -s /bin/busybox /system/xbin/ifconfig
ln -s /bin/busybox /system/xbin/bb/ifconfig
ln -s /system/bin/route /system/xbin/route
ln -s /system/bin/route /system/xbin/bb/route
#modprobe
modprobe tun
#map the executable openvpn file to /system/xbin or bin
mount --bind /sdcard/openvpn/openvpn /system/xbin/openvpn
}
############
sure maybe some links are not needed - not sure what you have set ..
and of course - you can make it more cleaner as me ... but it is working fine enough for me.
cu camel

[Guide] Ubuntu Lucid 10.04 Defy CHROOT port

Ubuntu Lucid 10.04 android-vnc Defy port
{
"lightbox_close": "Close",
"lightbox_next": "Next",
"lightbox_previous": "Previous",
"lightbox_error": "The requested content cannot be loaded. Please try again later.",
"lightbox_start_slideshow": "Start slideshow",
"lightbox_stop_slideshow": "Stop slideshow",
"lightbox_full_screen": "Full screen",
"lightbox_thumbnails": "Thumbnails",
"lightbox_download": "Download",
"lightbox_share": "Share",
"lightbox_zoom": "Zoom",
"lightbox_new_window": "New window",
"lightbox_toggle_sidebar": "Toggle sidebar"
}
THIS DOESNT MODIFY, REPLACE OR CHANGE YOUR CURRENT ROM OR ANDROID OS. IT RUNS IN CHROOT USING VNC, LIKE A VIRTUAL MACHINE! SO IT CANNOT BRICK OR HARM YOUR DEVICE!
Requirements :
Root and Busybox installed
At least 3.5GB free space on SD card
Android Terminal Emulator (Available on Play Store)
android-vnc-viewer (Available on Play Store)
Click to expand...
Click to collapse
Downloads :
Ubuntu image + scripts
ubuntu.sh script
*Froyo kernel scripts​
Click to expand...
Click to collapse
Installation guide
1. Download Ubuntu image from Downloads section
2. Extract Ubuntu 7-zip file contents to /sdcard/ubuntu
3. Download ubuntu.sh from attachments to /sdcard/ubuntu and replace the existing one
4. Start Terminal Emulator
5. Type in the following lines, each line is followed by enter (return) key, you'll need to run this only the first time :
su
cd /sdcard/ubuntu
sh ubuntu.sh
6. The Installation script starts and it creates necessary files and folders on internal memory, type in starttux
7. When the starttux command finishes, type in ui
8. Now you'll have to switch to android-vnc-viewer without closing Terminal Emulator (press home key to go to launcher and start vnc)
9. Setup VNC viewer :
password : 12345678
address : 127.0.0.1
port : 5901
color format : 24-bit color
10. Now press connect and Ubuntu GUI will start!
11. To exit Ubuntu GUI press menu while in vnc -> disconnect
12. Return to terminal emulator and type in killui
13. Type stoptux
14. Type exit
15. Type exit if Terminal is still opened, reboot device for proper unmount.
Click to expand...
Click to collapse
Video instalation guide :
http://www.youtube.com/watch?v=O9ercgiqwi0
Screenshot gallery :
Click to expand...
Click to collapse
Notes :
Tested on Defy CM10 2007+ by Quarx and HTC HD2 CM9 4.0.4 HWA build
I recommend using touchpad as input in vnc viewer
127.0.0.1 is known as localhost
If you have any errors post them here
The script can run without ubuntu.sh from downloads, but I recommend to replace it anyway
Credits : anantshri for image file
Soon I'll port Backtrack 5
Fell free to donate
Click to expand...
Click to collapse
F.A.Q
Q : Can this brick or harm my device?!
A : It simply can't cause it doesn't change anything inside your system!
Q : Is this a ROM or what?
A : THIS ISN'T A CUSTOM ROM! This is an image file that starts using Terminal and VNC (for gui), and it doesn't change or modify your system.
Just like a virtual machine.
Q : Can we use BT keyboard & mouse?
A : Yes.
Q : I've got problems with mouse/keyboard mapping, solution?
A : Open $HOME/.vnc/xstartup file with a text editor, and copy the text below :
Code:
#!/bin/sh
xrdb $HOME/.Xresources
xsetroot -solid grey
#x-terminal-emulator -geometry 80×24+10+10 -ls -title “$VNCDESKTOP Desktop” &
#x-window-manager &
export XKL_XMODMAP_DISABLE=1
/etc/X11/Xsession
For noobs : "XKL_XMODMAP_DISABLE=1" fixes the mapping or wrong positioning the mouse.
Q : Can we use this for other devices than Defy?
A : The script supports ext4 module roms, so it should work on ICS (I've tested on Jelly Bean) and GB rooted devices.
To change the resolution (by default 850x480) type this into the terminal after starttux command :
Code:
vncserver -geometry 1280×800
1280x800 represents scren resolution, so if you use SGS3 e.g, use vncserver -geometry 1280x720
Q :Can this work on ARMv6?
A : I don't have an ARMv6 device, so I haven't tested it, I think that it may work pretty slow, but it should still work somehow.
So please, if anyone has ARMv6 based device, please test and report.
why not 12.04????
Enviado desde mi MB525 usando Tapatalk 2
Both 11.04 and 12.04 aren't supported on our CPU or it would be slow (their image files are way to big for my sd card)
I've also tried this on HTC HD2 and it works.
Tommorow expect Backtrack 5.
mihovil13 said:
Both 11.04 and 12.04 aren't supported on our CPU or it would be slow (their image files are way to big for my sd card)
I've also tried this on HTC HD2 and it works.
Tommorow expect Backtrack 5.
Click to expand...
Click to collapse
Pre-Installed 11.10 and 12.04 OMAP3/OMAP4 images...
https://wiki.ubuntu.com/ARM/OMAP
Thanks for the link, I'll try in cca 12h.
Also tommorow (in my time) I'll post a port of BT5 (I hope that this script could get it work)
Can wie use phone?
Sent from my MB526 using xda app-developers app
What phone?
Swyped off my Defy using Jelly Bean
Defy development is on fire these days....gonna try this in 10 days when I go home...!!!!!
Sent from my MB526 using xda app-developers app
Can I install and play linux games?
Is it possible to connect Bluetooth mouse and keyword?
Sent from my MB525 using xda app-developers app
Yes it is, I use BT mouse and keyboard, games are already installed.
I'll edit FAQ now
Updated second post with FAQ
mihovil13 said:
What phone?
Swyped off my Defy using Jelly Bean
Click to expand...
Click to collapse
The phone apk so can i telephone with this Rom...
Sent from my MB526 using xda app-developers app
Jojo1992 said:
The phone apk so can i telephone with this Rom...
Sent from my MB526 using xda app-developers app
Click to expand...
Click to collapse
Apparently you haven't read the OP.
This isn't a ROM, it's like a virtual machine inside your system.
Your ROM stays as it is, this starts using an app (VNC and Terminal)
Problem
I have followed all the steps in terminal but i get an error after i enter 'starttux'.
See the screenshot if u can help me,,, thank u
oxristsis said:
I have followed all the steps in terminal but i get an error after i enter 'starttux'.
See the screenshot if u can help me,,, thank u
Click to expand...
Click to collapse
Try changing the script files using Notepad++ to this (delete all the text and replace with this)
ubuntu.sh
Code:
echo " "
echo "Ubuntu Chroot v0.2-anant-netbook"
echo "This process does NOT damage Android OS!"
echo " "
echo "Original Script by Charan Singh"
echo "Modified for Ubuntu Chroot by Max Lee at NexusOneHacks.net"
echo "Xperia Customized by Anant shrivastava http://anantshri.info "
echo " "
mount -o rw,remount -t yaffs2 /dev/block/mtdblock3 /system
echo "Cleaning up old Chunks . . ."
rm /system/bin/tuxcmd
rm /system/bin/starttux
rm /system/bin/stoptux
echo "Creating necessary directories"
if [ ! -d /data/local/mnt ]
then
mkdir /data/local/mnt
fi
#copy the files to places
echo "Setting up files"
cp -f starttux /system/bin
cp -f stoptux /system/bin
cp -f tuxcmd /system/bin
echo "Ubuntu is now configure!"
echo " "
echo "to Start ubuntu type 'starttux'"
echo "once ubuntu started use tuxcmd to gain shell"
echo "when you want to shutdown type 'stoptux'"
starttux
Code:
#Mount SYSTEM RW
mount -o remount,rw -t yaffs2 /dev/block/mtdblock3 /system
#exporting useful variables
export kit=/sdcard/ubuntu
export bin=/system/bin
export mnt=/data/local/mnt
export PATH=$bin:/usr/bin:/usr/sbin:/bin:$PATH
export TERM=linux
export HOME=/root
# Mounting Image to the farthest loop point
# FIXME : check if mount sucessfull otherwise abort whole process.
mknod /dev/block/loop255 b 7 255
busybox losetup /dev/block/loop255 $kit/ubuntu.img
busybox mount -t ext2 /dev/block/loop255 $mnt
mount -t devpts devpts $mnt/dev/pts
mount -t proc proc $mnt/proc
mount -t sysfs sysfs $mnt/sys
# Mounting SD Card inside the CHROOT
busybox mount -o bind /sdcard /data/local/mnt/sdcard
#seting environment
sysctl -w net.ipv4.ip_forward=1
echo "Setting /etc/resolv.conf to Google Open DNS 8.8.8.8 and 8.8.4.4"
echo "nameserver 8.8.8.8" > $mnt/etc/resolv.conf
echo "nameserver 8.8.4.4" >> $mnt/etc/resolv.conf
echo "Setting localhost on /etc/hosts "
echo "127.0.0.1 localhost" > $mnt/etc/hosts
echo "Brought to you by NexusOneHacks.net and the open source community! "
echo "Customized by Anant shrivastava http://anantshri.info"
echo "Ubuntu configured to use it just type 'tuxcmd'"
tuxcmd
Code:
mount -o remount,rw -t yaffs2 /dev/block/mtdblock3 /system
export kit=/sdcard/ubuntu
export bin=/system/bin
export mnt=/data/local/mnt
export PATH=$bin:/usr/bin:/usr/sbin:/bin:$PATH
export TERM=linux
export HOME=/root
echo "Brought to you by NexusOneHacks.net and the open source community! "
echo "Customized by Anant shrivastava http://anantshri.info"
echo " "
busybox chroot $mnt /bin/bash
stoptux
Code:
#Cleanup
#After exit command is executed clear it all up
mount -o remount,rw -t yaffs2 /dev/block/mtdblock3 /system
export kit=/sdcard/ubuntu
export bin=/system/bin
export mnt=/data/local/mnt
export PATH=$bin:/usr/bin:/usr/sbin:/bin:$PATH
export TERM=linux
export HOME=/root
echo "Cleaning the Ubuntu leftover and returning back the memory to Android."
echo "by Anant Shrivastava http://anantshri.info "
echo "Shutting down Ubuntu"
sync
busybox umount -l $mnt/sdcard
busybox umount -l $mnt/dev/pts
busybox umount -l $mnt/proc
busybox umount -l $mnt/sys
busybox umount -l $mnt
busybox losetup -d /dev/block/loop255
mount -o remount,ro -t yaffs2 /dev/block/mtdblock3 /system
echo " "
echo "Please reboot to properly unmount Ubuntu"
echo "Specially If you recieved an error before this line"
You maybe even don't have to go type tuxcmd after the starttux shell, if the shell changes to root:localhost automatically, then just type ui
update : I've managed to get BT5 working!!
Gnome shell 3 is working ?
Sent from my MB525 using xda premium
tarunyad said:
Gnome shell 3 is working ?
Sent from my MB525 using xda premium
Click to expand...
Click to collapse
is not avaliable for ubuntu 10.04, so no gnome shell 3...
Yes but there's gnome preinstalled in the image
Swyped off my Defy using Jelly Bean

[Kernel] Update Kernel | Stock Asus Kernel 10.4.2.17 | CIFS & MD4 Modules !

Hi !
Stock Asus Kernel 10.4.2.17 & 10.4.2.16 - build from the last update Asus source code !
Because Asus has not yet released the new firmware 10.4.2.16, propose to see together, which brings new kernel 10.4.2.16 !
Useful for all those who want to see what improvements brought on kernel Asus & also recommended for those who opt for the basic root version !
This kernel has init.d* support, root support | insecure kernel with "USB debugging" already enabled !
Change log :
unfortunately not found ( Asus not released yet ! )
Downloads :
kernel_10.4.2.16.zip
boot.blob_10.4.2.17.zip - 5.33 MB
cifs_md4_10.4.2.17.zip - 131.65 KB
Installation : 10.4.2.16
recommended to install just over latest firmware 10.4.2.13 ;
copy kernel_10.4.2.16.zip on your device and go to TWRP recovery ;
wipe cache & dalvik-cache -> Install ! ;
Now you have the last Android Asus firmware 10.4.2.13 with the last Asus kernel 10.4.2.16 !
Installation : 10.4.2.17
extract boot.blob from archive boot.blob_10.4.2.17.zip
put your device in fastboot mode
> fastboot -i 0x0B05 flash boot boot.blob
> fastboot -i 0x0B05 reboot
unzip archive cifs_md4_10.4.2.17.zip and extract cifs.ko & md4.ko
> adb shell
# mount -o remount,rw -t ext4 /dev/block/mmcblk0p1 /system
(...or if you have busybox already installed : # busybox mount -o remount,rw /system )
# exit
> adb push cifs.ko /system/lib/modules
> adb push md4.ko /system/lib/modules
> adb shell
# chown 0.0 /system/lib/modules/*
# chmod 0644 /system/lib/modules/*
# insmod /system/lib/modules/cifs.ko
# insmod /system/lib/modules/md4.ko
# exit
* available for any rom ( custom rom ) who already has busybox installed !
regard,
Surdu Petru
I have to say I'm pretty impressed, seems as smooth at 1300 as it did before on a modified .13 kernel at 1700 mhz! Thank you!
Sent from my ASUS Transformer Pad TF300T using Tapatalk 2
Do you plan on adding oc an your I/o tweaks to this Cus that would be awesome
Sent from my SAMSUNG-SGH-I727 using xda app-developers app
here is the diff from 10.4.2.13->10.4.2.16 the kernel was released for the JP sku, possibly adding support for an audio dock of some sort.
https://github.com/untermensch/asus_kernels/commit/a377c8f41d6d99aa102ecfc976e4049c80b7ec6a
Charle692 said:
Do you plan on adding oc an your I/o tweaks to this Cus that would be awesome
Sent from my SAMSUNG-SGH-I727 using xda app-developers app
Click to expand...
Click to collapse
Yes, sure ...
untermensch said:
here is the diff from 10.4.2.13->10.4.2.16 the kernel was released for the JP sku, possibly adding support for an audio dock of some sort.
https://github.com/untermensch/asus_kernels/commit/a377c8f41d6d99aa102ecfc976e4049c80b7ec6a
Click to expand...
Click to collapse
Thank you untermensch ! :good:
After deciding to keep my tf300 until i see the nexus 10 in person at least. Im now running stock rooted and this kernel.
Wow this is super smooth its a joy to use this tablet now... Thanks!
Although i like to OC my devices im now starting to appreciate longer battery life more..
Sent from my GT-N7000 using xda app-developers app
Quick question: did anyone notice I/O boost after flashing this kernel (e.g in quadrant)?
Hi !
Update !
Build from Asus kernel source code ( last update 10.4.2.17 14/11/2012 ) => modules cifs, md4 & kernel !
...please check my first post ! :good:
Hi !
Cifs & md4 module for the last update Asus TF300T Firmware 10.4.2.17 !
Download :
cifs_md4_10.4.2.17.zip - 131.65 KB
Installation :
unzip archive and extract cifs.ko & md4.ko
conect USB cable
> adb shell
# mount -o remount,rw -t ext4 /dev/block/mmcblk0p1 /system
(...or if you have busybox already installed : # busybox mount -o remount,rw /system )
# exit
> adb push cifs.ko /system/lib/modules
> adb push md4.ko /system/lib/modules
> adb shell
# chown 0.0 /system/lib/modules/*
# chmod 0644 /system/lib/modules/*
# insmod /system/lib/modules/cifs.ko
# insmod /system/lib/modules/md4.ko
# exit
Good luck ! :good:
regards,
Surdu Petru
surdu_petru said:
Hi !
Cifs & md4 module for the last update Asus TF300T Firmware 10.4.2.17 !
Download :
cifs_md4_10.4.2.17.zip - 131.65 KB
Installation :
unzip archive and extract cifs.ko & md4.ko
conect USB cable
> adb shell
# mount -o remount,rw -t ext4 /dev/block/mmcblk0p1 /system
(...or if you have busybox already installed : # busybox mount -o remount,rw /system )
# exit
> adb push cifs.ko /system/lib/modules
> adb push md4.ko /system/lib/modules
> adb shell
# chown 0.0 /system/lib/modules/*
# chmod 0644 /system/lib/modules/*
# insmod /system/lib/modules/cifs.ko
# insmod /system/lib/modules/md4.ko
# exit
Good luck ! :good:
regards,
Surdu Petru
Click to expand...
Click to collapse
Surdu Petru,
Thanks for compiling those modules, maybe not the best place to ask, but I'm just currious
if you had any issues with the 10.4.2.17 source code from ASUS, I wish I knew what I was doing wrong
but I had noticed the source was about 25% smaller than previous source I had downloaded from ASUS
KAD79 said:
Surdu Petru,
Thanks for compiling those modules, maybe not the best place to ask, but I'm just currious
if you had any issues with the 10.4.2.17 source code from ASUS, I wish I knew what I was doing wrong
but I had noticed the source was about 25% smaller than previous source I had downloaded from ASUS
Click to expand...
Click to collapse
Hi !
... the currently download has ~197.87MB and include kernel source ~452.2MB and mydroid ~414.2MB ( you can build here wireless driver ! )
... the previous source for firmware 10.4.2.17 was incomplete ! :good:
Flashable?
Please can u make a flasable zip of 10.4.2.17 so i can install it via TWRP cause i cant make it with fastboot method.
pankobios said:
Please can u make a flasable zip of 10.4.2.17 so i can install it via TWRP cause i cant make it with fastboot method.
Click to expand...
Click to collapse
Hi !
...please use Firmware 10.4.2.18 , is up to date ! :good:

androidarmv6 20130402 (erickas) backlight

Hi
I updated from I think 20130302 to the latest 20130402 androidarmv6 (erikcas) rom. Running great as always, but backlight does not work anymore. My old simple start script was:
Code:
echo 1 > /sys/class/misc/backlightnotification/enabled
but its obviously not there anymore:
Code:
localhost userinit.d # cat /sys/class/misc/backlightnotification/enabled
cat: can't open '/sys/class/misc/backlightnotification/enabled': No such file or directory
a search shows:
Code:
localhost userinit.d # find /sys | grep -i backligh
/sys/devices/platform/pmic-leds/leds/button-backlight
/sys/devices/platform/pmic-leds/leds/button-backlight/uevent
/sys/devices/platform/pmic-leds/leds/button-backlight/subsystem
/sys/devices/platform/pmic-leds/leds/button-backlight/device
/sys/devices/platform/pmic-leds/leds/button-backlight/brightness
/sys/devices/platform/pmic-leds/leds/button-backlight/max_brightness
/sys/devices/platform/pmic-leds/leds/button-backlight/power
/sys/devices/platform/pmic-leds/leds/button-backlight/power/wakeup
/sys/devices/platform/msm-battery/power_supply/battery/keypad_backlight
/sys/devices/platform/msm-battery/power_supply/battery/lcd_backlight
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/uevent
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/subsystem
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/device
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/brightness
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/max_brightness
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/power
/sys/devices/platform/msm_fb.196609/leds/lcd-backlight/power/wakeup
/sys/class/backlight
/sys/class/leds/lcd-backlight
/sys/class/leds/button-backlight
Hmmm. Any ideas?
Best Regards
K

[ROM][5.1][20150708] CyanogenMOD 12.1 [UNOFFICIAL]

Official CM 12.1 nightlies for flounder have arrived and can be found here:
http://download.cyanogenmod.org/?device=flounder
Changelog should soon be found here:
http://www.cmxlog.com/12.1/flounder/#
My work is done, thank you all!
#include
/*
* Your warranty is now void.
*
* I am not responsible for bricked devices, dead SD cards,
* thermonuclear war, or you getting fired because the alarm app failed. Please
* do some research if you have any concerns about features included in this ROM
* before flashing it! YOU are choosing to make these modifications, and if
* you point the finger at me for messing up your device, I will laugh at you.
*/
Click to expand...
Click to collapse
As there are so far no official CM12.1 nightlies for our Nexus 9 I want to share my builds. I am just building, all credits go to the developers and the CM12.1 team. Building will be done several times a week (nearly daily) and can be found here:
Download: https://www.androidfilehost.com/?w=files&flid=32977
Latest build: 20150708 https://www.androidfilehost.com/?fid=24052804347770338
Changelog: http://review.cyanogenmod.org/#/q/status:merged+branch:cm-12.1,n,z
Note: Not all nightly builds will be tested before uploading, so only flash, if you really know what you do and how to handle a bootloop or whatever could happen... I am not responsable for your bricked or imploded device! In general I test my builds on my volantisg (a.k.a. flounder_lte) but they should also work on the non-lte flounder. Please test for yourself...
For suitable GAPPs have a look here: http://forum.xda-developers.com/nexus-9/themes-apps/gapps-20150223-flounder-t3038452
I use these gapps: http://forum.xda-developers.com/showthread.php?t=3038452
A fix for the build.prop variety which causes showing of following notification after (re-)booting
There's an internal problem with your device. Contact your manufacturer for details.
Click to expand...
Click to collapse
was brought to us by gladiac and can be found here [FIX] build.prop variety fix (aka contact manufacturer problem). All credits to gladiac, works like a charme for me....
CREDITS
CM Team
SimonSickle
Joshua
HCDRJacob
Hima-Dev
cdesai
bynarie
dcrin3
smac0628
gladiac for build.prop variety fix
If I should miss someone, please give me a hint.
reserved
#3
Working well. Haven't tested everything, but like it so far.
Sent from my Nexus 9 using Tapatalk
New build is up: https://www.androidfilehost.com/?fid=24052804347757511
Is this rom for LTE to?
Torparn said:
Is this rom for LTE to?
Click to expand...
Click to collapse
diskoteer said:
Note: ... In general I test my builds on my volantisg (a.k.a. flounder_lte) but they should also work on the non-lte flounder. Please test for yourself...
Click to expand...
Click to collapse
fleischbanane said:
Click to expand...
Click to collapse
Ok thanks I will try it out.
New build is up: https://www.androidfilehost.com/?fid=24052804347757782
Changelog:
- Synced CM tree. See http://review.cyanogenmod.org/#/q/status:merged+branch:cm-12.1,n,z
Click to expand...
Click to collapse
I have seen no flounder specific commit.
By the way the last flounder specific commit I noticed was Simon Sickle's kernel config update: http://review.cyanogenmod.org/#/c/100324/. Works very well for me, thank you a lot, Simon Sickle!!!
diskoteer said:
New build is up: https://www.androidfilehost.com/?fid=24052804347757782
I have seen no flounder specific commit.
By the way the last flounder specific commit I noticed was Simon Sickle's kernel config update: http://review.cyanogenmod.org/#/c/100324/. Works very well for me, thank you a lot, Simon Sickle!!!
Click to expand...
Click to collapse
Hi diskoteer,
does your build compile bcopy.c into libc? There are some apps out there, like firefox, that use bcopy. They all wont start without bcopy. This fix did not work in my builds for some reason so I had to force the inclusion by removing the ifeq in line 79 of bionic/libc/arch-arm/arm.mk. You can test if bcopy works in your builds by starting firefox. If it crashes and the error report screen appears it does not work.
Tried to update from the official CM12 nightlys but after the first boot there was an message wich told me that I have to contact the manufactorer. After restoring my CM12 nightly everything works fine.
Wiped system and flashed the last build + new gapps for Android 5.1, but no luck.
It's only an information for other people who want to dirty flash over CM12.
fleischbanane said:
Tried to update from the official CM12 nightlys but after the first boot there was an message wich told me that I have to contact the manufactorer. After restoring my CM12 nightly everything works fine.
Wiped system and flashed the last build + new gapps for Android 5.1, but no luck.
It's only an information for other people who want to dirty flash over CM12.
Click to expand...
Click to collapse
This message is harmless. It is solely a check that google implemented in Android 5.1 that compares /system/build.prop with the values found in /vendor/build.prop. If they differ you get that error message. All you need to do to get rid of the error is to change the 3 values in /vendor/build.prop according to the values in /system/build.prop.
fleischbanane said:
Tried to update from the official CM12 nightlys but after the first boot there was an message wich told me that I have to contact the manufactorer.
Click to expand...
Click to collapse
This is a known problem and has something to do with build.prop in /vendor and /system. For details have a look here: http://forum.xda-developers.com/showpost.php?p=60695940&postcount=37 in dcrin3's thread. I for myself have not changed anything in build.prop, I am clicking "ok" in this message, it is just a notice. Everything works fine...
Does anyone is in need for the 5.1.1 bootloader or vendor.img?
Hi,
diskoteer said:
This is a known problem and has something to do with build.prop in /vendor and /system. For details have a look here: http://forum.xda-developers.com/showpost.php?p=60695940&postcount=37 in dcrin3's thread. I for myself have not changed anything in build.prop, I am clicking "ok" in this message, it is just a notice. Everything works fine...
Does anyone is in need for the 5.1.1 bootloader or vendor.img?
Click to expand...
Click to collapse
I just didn't like seeing the popup message on every boot so I created a script to generate a modified vendor image based on the factory image with the properties fixed to match the ones of the ROM being used. If you flash the vendor partition with the image this script produces for your CM 12.1 snapshot ROM, the dialog is gone. Please read the comments on the script for more info.
Code:
#!/bin/sh
# Author: Tuomas Jormola <[email protected]>
# License: Public Domain
#
# This script modifies the factory vendor image from Google to be used with
# CM 12.1 on Nexus 9. By flashing the modified vendor image you can get rid
# of the "There's an internal problem with your device. Contact your
# manufacturer for details" popup displayed on device startup.
#
# The script was developed and tested on Ubuntu 15.04 vivid system. The script
# requires bsdtar and sparse image tools from Google. For Ubuntu/Debian based
# distros you can install the following packages to fulfil the dependencies:
# bsdtar android-tools-fsutils
#
# In order to make the image you need to download the Android 5.1.x factory
# image archive for you device from Google at
# https://developers.google.com/android/nexus/images
# or use these direct links for 5.1.1 LMY47X build
#
# "volantisg" for Nexus 9 (LTE):
# https://dl.google.com/dl/android/aosp/volantisg-lmy47x-factory-0adc3016.tgz
#
# "volantis" for Nexus 9 (Wi-Fi):
# https://dl.google.com/dl/android/aosp/volantis-lmy47x-factory-3efdc8d4.tgz
#
# Then you need a CM 12.1 snapshot ROM image. No official CM 12.1 snapshots
# exists as time of writing so you need to build it on your own or find
# some pre-built snapshot somewhere, see e.g.
# http://forum.xda-developers.com/nexus-9/development/rom-cyanogenmod-12-1-t3129778
#
# Now run the script as root, for example:
#
# sudo bash /path/to/make-vendor-image.sh /path/to/volantisg-lmy47x-factory-0adc3016.tgz /path/to/cm-12.1-20150610-UNOFFICIAL-flounder.zip /path/to/modified-vendor-image-from-volantis-lmy47x-for-cm-12.1-20150610-UNOFFICIAL-flounder.img
#
# You can the flash the modified vendor image to the device with fastboot.
# Boot the device to bootloader, connect the device with a USB cable to the
# Linux machine and issue the command
#
# fastboot flash vendor /path/to/modified-vendor-image-from-volantis-lmy47x-for-cm-12.1-20150610-UNOFFICIAL-flounder.img
#
# You have to re-create and re-flash the vendor image each time you flash a
# new build of CM 12.1.
usage() {
echo "Usage: $0 FACTORY_IMAGE_TARBALL CM_ROM_ZIP NEW_VENDOR_IMAGE_FILE"
}
set -e
set -o verbose
set -o xtrace
if test "`id -u`" != 0; then
echo "This script needs to be run as root" 1>&2
exit 1
fi
FACTORY_IMAGE_TARBALL="$1"
CM_ROM_ZIP="$2"
NEW_VENDOR_IMAGE_FILE="$3"
case "$FACTORY_IMAGE_TARBALL" in
volantis*-*-factory-*.tgz)
PRODUCT="`echo $FACTORY_IMAGE_TARBALL | cut -d- -f1`"
BUILD="`echo $FACTORY_IMAGE_TARBALL | cut -d- -f2`"
;;
*)
echo "Invalid factory image tarball" 1>&2
usage
exit 1
;;
esac
if test -z "$CM_ROM_ZIP"; then
echo "No CM ROM zip file given" 1>&2
usage
exit 1
fi
if ! test -r "$CM_ROM_ZIP"; then
echo "CM ROM zip file not readable" 1>&2
usage
exit 1
fi
if test -z "$NEW_VENDOR_IMAGE_FILE"; then
echo "No new vendor image file given" 1>&2
usage
exit 1
fi
TEMP_DIR="`mktemp -d `"
bsdtar vxf "$CM_ROM_ZIP" -C "$TEMP_DIR" system/build.prop
BUILD_FINGERPRINT="`grep 'ro\.build\.fingerprint=' $TEMP_DIR/system/build.prop | cut -d= -f2`"
BUILD_DATE_UTC="`grep 'ro\.build\.date\.utc=' $TEMP_DIR/system/build.prop | cut -d= -f2`"
BUILD_DATE_STR="`LC_ALL=C LC_TIME=C date -ud @$BUILD_DATE_UTC`"
bsdtar xzOf "$FACTORY_IMAGE_TARBALL" "$PRODUCT-$BUILD/image-$PRODUCT-$BUILD.zip" | bsdtar xf - -C "$TEMP_DIR" vendor.img
simg2img "$TEMP_DIR/vendor.img" "$TEMP_DIR/vendor.raw"
mkdir "$TEMP_DIR/mnt"
mount -o loop "$TEMP_DIR/vendor.raw" "$TEMP_DIR/mnt"
perl -pne"s{^(ro\\.vendor\\.build\\.fingerprint)=.+$}{\$1=$BUILD_FINGERPRINT}" -i "$TEMP_DIR/mnt/build.prop"
perl -pne"s{^(ro\\.vendor\\.build\\.date)=.+$}{\$1=$BUILD_DATE_STR}" -i "$TEMP_DIR/mnt/build.prop"
perl -pne"s{^(ro\\.vendor\\.build\\.date\.utc)=.+$}{\$1=$BUILD_DATE_UTC}" -i "$TEMP_DIR/mnt/build.prop"
umount "$TEMP_DIR/mnt"
img2simg "$TEMP_DIR/vendor.raw" "$NEW_VENDOR_IMAGE_FILE"
rm -rf "$TEMP_DIR"
gladiac said:
Hi diskoteer,
does your build compile bcopy.c into libc? There are some apps out there, like firefox, that use bcopy. They all wont start without bcopy. This fix did not work in my builds for some reason so I had to force the inclusion by removing the ifeq in line 79 of bionic/libc/arch-arm/arm.mk. You can test if bcopy works in your builds by starting firefox. If it crashes and the error report screen appears it does not work.
Click to expand...
Click to collapse
Actuallly I do not know. I don't use firefox, maybe someone who use it can test it? Is there any way to test for bcopy from terminal?
New build up: https://www.androidfilehost.com/?fid=24052804347758256
Changelog:
- Synced CM tree
Click to expand...
Click to collapse
tjormola said:
Hi,
I just didn't like seeing the popup message on every boot so I created a script to generate a modified vendor image based on the factory image with the properties fixed to match the ones of the ROM being used. If you flash the vendor partition with the image this script produces for your CM 12.1 snapshot ROM, the dialog is gone. Please read the comments on the script for more info.
Code:
#!/bin/sh
# Author: Tuomas Jormola <[email protected]>
# License: Public Domain
#
# This script modifies the factory vendor image from Google to be used with
# CM 12.1 on Nexus 9. By flashing the modified vendor image you can get rid
# of the "There's an internal problem with your device. Contact your
# manufacturer for details" popup displayed on device startup.
#
# The script was developed and tested on Ubuntu 15.04 vivid system. The script
# requires bsdtar and sparse image tools from Google. For Ubuntu/Debian based
# distros you can install the following packages to fulfil the dependencies:
# bsdtar android-tools-fsutils
#
# In order to make the image you need to download the Android 5.1.x factory
# image archive for you device from Google at
# https://developers.google.com/android/nexus/images
# or use these direct links for 5.1.1 LMY47X build
#
# "volantisg" for Nexus 9 (LTE):
# https://dl.google.com/dl/android/aosp/volantisg-lmy47x-factory-0adc3016.tgz
#
# "volantis" for Nexus 9 (Wi-Fi):
# https://dl.google.com/dl/android/aosp/volantis-lmy47x-factory-3efdc8d4.tgz
#
# Then you need a CM 12.1 snapshot ROM image. No official CM 12.1 snapshots
# exists as time of writing so you need to build it on your own or find
# some pre-built snapshot somewhere, see e.g.
# http://forum.xda-developers.com/nexus-9/development/rom-cyanogenmod-12-1-t3129778
#
# Now run the script as root, for example:
#
# sudo bash /path/to/make-vendor-image.sh /path/to/volantisg-lmy47x-factory-0adc3016.tgz /path/to/cm-12.1-20150610-UNOFFICIAL-flounder.zip /path/to/modified-vendor-image-from-volantis-lmy47x-for-cm-12.1-20150610-UNOFFICIAL-flounder.img
#
# You can the flash the modified vendor image to the device with fastboot.
# Boot the device to bootloader, connect the device with a USB cable to the
# Linux machine and issue the command
#
# fastboot flash vendor /path/to/modified-vendor-image-from-volantis-lmy47x-for-cm-12.1-20150610-UNOFFICIAL-flounder.img
#
# You have to re-create and re-flash the vendor image each time you flash a
# new build of CM 12.1.
usage() {
echo "Usage: $0 FACTORY_IMAGE_TARBALL CM_ROM_ZIP NEW_VENDOR_IMAGE_FILE"
}
set -e
set -o verbose
set -o xtrace
if test "`id -u`" != 0; then
echo "This script needs to be run as root" 1>&2
exit 1
fi
FACTORY_IMAGE_TARBALL="$1"
CM_ROM_ZIP="$2"
NEW_VENDOR_IMAGE_FILE="$3"
case "$FACTORY_IMAGE_TARBALL" in
volantis*-*-factory-*.tgz)
PRODUCT="`echo $FACTORY_IMAGE_TARBALL | cut -d- -f1`"
BUILD="`echo $FACTORY_IMAGE_TARBALL | cut -d- -f2`"
;;
*)
echo "Invalid factory image tarball" 1>&2
usage
exit 1
;;
esac
if test -z "$CM_ROM_ZIP"; then
echo "No CM ROM zip file given" 1>&2
usage
exit 1
fi
if ! test -r "$CM_ROM_ZIP"; then
echo "CM ROM zip file not readable" 1>&2
usage
exit 1
fi
if test -z "$NEW_VENDOR_IMAGE_FILE"; then
echo "No new vendor image file given" 1>&2
usage
exit 1
fi
TEMP_DIR="`mktemp -d `"
bsdtar vxf "$CM_ROM_ZIP" -C "$TEMP_DIR" system/build.prop
BUILD_FINGERPRINT="`grep 'ro\.build\.fingerprint=' $TEMP_DIR/system/build.prop | cut -d= -f2`"
BUILD_DATE_UTC="`grep 'ro\.build\.date\.utc=' $TEMP_DIR/system/build.prop | cut -d= -f2`"
BUILD_DATE_STR="`LC_ALL=C LC_TIME=C date -ud @$BUILD_DATE_UTC`"
bsdtar xzOf "$FACTORY_IMAGE_TARBALL" "$PRODUCT-$BUILD/image-$PRODUCT-$BUILD.zip" | bsdtar xf - -C "$TEMP_DIR" vendor.img
simg2img "$TEMP_DIR/vendor.img" "$TEMP_DIR/vendor.raw"
mkdir "$TEMP_DIR/mnt"
mount -o loop "$TEMP_DIR/vendor.raw" "$TEMP_DIR/mnt"
perl -pne"s{^(ro\\.vendor\\.build\\.fingerprint)=.+$}{\$1=$BUILD_FINGERPRINT}" -i "$TEMP_DIR/mnt/build.prop"
perl -pne"s{^(ro\\.vendor\\.build\\.date)=.+$}{\$1=$BUILD_DATE_STR}" -i "$TEMP_DIR/mnt/build.prop"
perl -pne"s{^(ro\\.vendor\\.build\\.date\.utc)=.+$}{\$1=$BUILD_DATE_UTC}" -i "$TEMP_DIR/mnt/build.prop"
umount "$TEMP_DIR/mnt"
img2simg "$TEMP_DIR/vendor.raw" "$NEW_VENDOR_IMAGE_FILE"
rm -rf "$TEMP_DIR"
Click to expand...
Click to collapse
Thank you very much for the script, but i'm on Windows and it would be very nice if you can upload the modified vendor.img, so I don't have to set up a VM with all this stuff.
Edit: Flashed the latest build and new gapps for 12.1 over CM12 and everything works perfect, except the warning. But now I know that it's not a big thing and ignore it. :good:
fleischbanane said:
Thank you very much for the script, but i'm on Windows and it would be very nice if you can upload the modified vendor.img, so I don't have to set up a VM with all this stuff.
Click to expand...
Click to collapse
Sorry, I'm not the maintainer of the ROM in this thread and I don't use it myself (I'm compiling my own CM 12.1 snapshots until the official Nexus 9 build is upgraded to 12.1) so I'd rather not try to maintain something that isn't completely under my control. Maybe @diskoteer would like to build and maintain the Wi-Fi and LTE vendor images for his ROM built using this script?
tjormola said:
Sorry, I'm not the maintainer of the ROM in this thread and I don't use it myself (I'm compiling my own CM 12.1 snapshots until the official Nexus 9 build is upgraded to 12.1) so I'd rather not try to maintain something that isn't completely under my control. Maybe @diskoteer would like to build and maintain the Wi-Fi and LTE vendor images for his ROM built using this script?
Click to expand...
Click to collapse
Well, the problem is that the values in build.prop are different in every build. This is why we would have to deliver a vendor image for every new build too. That's not very maintainable. IMHO we should mount /vendor and generate /vendor/build.prop from the information found in /system/build.prop at installation-time of the rom.
//edit:
Something like this would suffice:
Code:
grep -E "^ro\.build\.(date(\.utc)?|fingerprint)=" /system/build.prop |sed -e"s/^ro\./ro.vendor./" > /vendor/build.prop
gladiac said:
Well, the problem is that the values in build.prop are different in every build. This is why we would have to deliver a vendor image for every new build too. That's not very maintainable. IMHO we should mount /vendor and generate /vendor/build.prop from the information found in /system/build.prop at installation-time of the rom.
//edit:
Something like this would suffice:
Code:
grep -E "^ro\.build\.(date(\.utc)?|fingerprint)=" /system/build.prop |sed -e"s/^ro\./ro.vendor./" > /vendor/build.prop
Click to expand...
Click to collapse
Thanks for the feedback. I didn't know it would be so difficult, but the message is no big thing... till my wife will see it the first time. [emoji2]

Categories

Resources